Active Topics

 



Notices


Reply
Thread Tools
Posts: 322 | Thanked: 855 times | Joined on Aug 2013
#3231
Originally Posted by sulu View Post
@t-b:
In case you haven't personalized your updated image with too much sensible data, it might be a good idea to upload it somewhere.

You may also want to check if glibc is outdated and vulnerable [1], as I had to patch it and therefore excluded it from further updates by Debian.
If you need an update please let me know!


[1] http://metadata.ftp-master.debian.or...b8u4_changelog
Sure thx. No problem to share the image, there is no personal(ized) data in the image. I only installed it and did some browsing to check if it worked.
Current version of glibc included in the image is 2.19-15 so it would be nice to have a more recent version. If you can provide a patched version, I can share the image with updated glibc library after that.
 
fw190's Avatar
Posts: 572 | Thanked: 656 times | Joined on Jan 2010 @ Poznań, Poland
#3232
Maybe we could ask quole to update the image on his server?
__________________
per ardua ad astra
fw190.info
 
Posts: 817 | Thanked: 2,666 times | Joined on Jan 2011 @ Germany
#3233
glibc_2.19-18+deb8u4 (untested):
http://www59.zippyshare.com/v/eHVvG4rW/file.html

Code:
$ md5sum glibc_2.19-18+deb8u4_ed_sulu.tar.bz2
b4b0fc46e77f827cf613effe663e6fab  glibc_2.19-18+deb8u4_ed_sulu.tar.bz2
 

The Following 3 Users Say Thank You to sulu For This Useful Post:
Posts: 322 | Thanked: 855 times | Joined on Aug 2013
#3234
Thanks!

I installed the debs manually with 'dpkg -i' followed by 'apt-get install -f'
There were some messages and apt is mentioning that 10 packages are not upgraded. Not sure why though...

ldd --version does show the updated version now.

Is there a method to check that everything is installed correctly?
 
Posts: 817 | Thanked: 2,666 times | Joined on Jan 2011 @ Germany
#3235
Originally Posted by t-b View Post
There were some messages and apt is mentioning that 10 packages are not upgraded. Not sure why though...
Pulseaudio comes to mind (had to lower the protocol version, which needs a rebuild), xkb-data (to have the N900's keyboard working), lxsession (needed to delete the lxpolkit binary to get rid of a systemd warning).
It should all be documented in [1]. All affected packages should show up in the output of ...
Code:
dpkg --get-selections | grep hold
... or should depend on these packages.

Originally Posted by t-b View Post
Is there a method to check that everything is installed correctly?
Please define what you want to check!
If you're sure you installed my packages and ED still starts then you can assume it's installed correctly.
If you didn't install them correctly then you should still see the old version numbers. If I messed up the build, then ED shouldn't start at all.
At least that's all I ever checked.


[1] http://talk.maemo.org/showpost.php?p...postcount=3138
 

The Following 3 Users Say Thank You to sulu For This Useful Post:
Posts: 322 | Thanked: 855 times | Joined on Aug 2013
#3236
Originally Posted by sulu View Post
Pulseaudio comes to mind (had to lower the protocol version, which needs a rebuild), xkb-data (to have the N900's keyboard working), lxsession (needed to delete the lxpolkit binary to get rid of a systemd warning).
It should all be documented in [1]. All affected packages should show up in the output of ...
Code:
dpkg --get-selections | grep hold
... or should depend on these packages.
libpulse0:armf
lxsession
ppulseaudio
xkb-data

Originally Posted by sulu View Post
Please define what you want to check!
If you're sure you installed my packages and ED still starts then you can assume it's installed correctly.
If you didn't install them correctly then you should still see the old version numbers. If I messed up the build, then ED shouldn't start at all.
At least that's all I ever checked.

[1] http://talk.maemo.org/showpost.php?p...postcount=3138
OK - Debian starts fine. Version number is adjusted so I guess the update went without issues
I will use one of my spare N900's to test my current 'vanilla' install and when that works fine I will share the image (might take a few days).
 
Posts: 322 | Thanked: 855 times | Joined on Aug 2013
#3237
Updated Image debian_jessie2sulu_armhf.img with updated patched glibc library by Sulu can be found here


Changes compared to debian_jessie1sulu_armhf.img:

- Updated glibc
- latest updates Jessie included - August 14 2016
- Iceweaver browser installed
- Debian repository in /etc/apt/resource.list changed to
"deb http://ftp.nl.debian.org/debian/ jessie main contrib"

[edit] removed link now available @ http://qole.org/files

Last edited by t-b; 2016-09-19 at 16:10.
 

The Following 13 Users Say Thank You to t-b For This Useful Post:
qole's Avatar
Moderator | Posts: 7,109 | Thanked: 8,809 times | Joined on Oct 2007 @ Vancouver, BC, Canada
#3238
Hi guys,

I'll get this new image by t-b added to qole.org as soon as I can (tonight, hopefully)
__________________
qole.org --- twitter --- Easy Debian wiki page
Please don't send me a private message, post to the appropriate thread.
Thank you all for your donations!
 

The Following 13 Users Say Thank You to qole For This Useful Post:
qole's Avatar
Moderator | Posts: 7,109 | Thanked: 8,809 times | Joined on Oct 2007 @ Vancouver, BC, Canada
#3239
Sorry it took so long.

I decided to lzma compress it like the other images on my site, and add an md5sum file.

Now available at https://qole.org/files

debian_jessie2sulu_armhf.img.lzma
__________________
qole.org --- twitter --- Easy Debian wiki page
Please don't send me a private message, post to the appropriate thread.
Thank you all for your donations!
 

The Following 13 Users Say Thank You to qole For This Useful Post:
Posts: 100 | Thanked: 193 times | Joined on Feb 2015 @ Poland
#3240
Originally Posted by qole View Post
Sorry it took so long.

I decided to lzma compress it like the other images on my site, and add an md5sum file.

Now available at https://qole.org/files

debian_jessie2sulu_armhf.img.lzma
Is it Harmattan mostly compatible?
 
Reply

Tags
beta, debian, easy debian, extras-devel, fremantle, i <3 qole, squeeze

Thread Tools

 
Forum Jump


All times are GMT. The time now is 00:57.